#!/bin/ksh
#
# Copyright 1997 Sun Microsystems, Inc. All Rights Reserved.
#
# @(#)ereg.utility.ksh	1.9 99/04/23 SMI
#

### Globals ###
title="Simple Form"
plat=`uname -p`
name_val_file=/etc/opt/SUNWmail/sims_setup.dat
cgidir=/cgi-bin/sims
head_printed="0"

### Commands ###
gettext=/usr/bin/gettext
cat=/usr/bin/cat
mv=/usr/bin/mv
touch=/usr/bin/touch
grep=/usr/bin/grep
sed=/usr/bin/sed
awk=/usr/bin/awk
arp=/usr/sbin/arp
hostid=/usr/bin/hostid
uname=/usr/bin/uname
wc=/usr/bin/wc
tr=/usr/bin/tr

### Required Environment Variables ###
TEXTDOMAIN=simsereg
export TEXTDOMAIN
TEXTDOMAINDIR=/opt/SUNWmail/admin/lib/locale
export TEXTDOMAINDIR

##########################################################################
# Print the page header
##########################################################################
print_head () {
_dir=`echo $locale | /bin/awk -F_ '{print $1}'`
if [ -z "$_dir" ]; then
  _dir=`echo $LOCALE | /bin/awk -F_ '{print $1}'`
fi
if [ -z "$_dir"  -o ! -d "../html/$_dir" ]; then
  _dir="C"
fi
if [ -z ${LANG} ]; then
    LANG=${_dir}
    export LANG
fi
if [ -z ${LC_MESSAGES} ]; then
    LC_MESSAGES=${_dir}
    export LC_MESSAGES
fi

if [ "$head_printed" == "0" ]; then
    head_printed="1";

    echo "Content-type: text/html"
    echo
    echo "<HTML>"
    echo "<HEAD><TITLE>"$title"</TITLE></HEAD>"
    $cat >&1 <<header0
<BODY BGCOLOR="#FFFFFF" TEXT="#000000" LINK="#0000EE" VLINK="#551A8B">
<IMG SRC="../../sims/$_dir/lib/banner.gif" ALT="Sun Internet Mail Server">
header0

echo "<br>"
echo "<h1>"$title"</h1>"

fi
}

##########################################################################
# Print the page footer
##########################################################################
print_foot () {
echo ""
echo "<!-- FOOT_START -->"
echo "<HR>"
echo "<CENTER>"
echo "<H5>"
echo `$gettext "Copyright"`" &copy; "`$gettext "1998"`
echo "<A HREF="http://www.sun.com">"`$gettext "Sun Microsystems, Inc."`"</A>"
echo `$gettext "All Rights Reserved."`"</H5>"
echo "</CENTER>"
echo "</BODY>"
echo "</HTML>"
echo "<!-- FOOT_END -->"
}

##########################################################################
# Get specific value from the config file
##########################################################################
read_1_val () {

if [ ! -f $name_val_file ]; then
  return 0
fi

line=`$grep ${get_name}= $name_val_file`
if [ "$line" != "" ]; then
  tmp=`echo $line | $awk -F= '{print $2}'`
  if [ "$tmp" != "" ]; then
    get_name=$tmp
    return 1
  fi
fi
return 0
}

